> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a tag



## OpenAPI

````yaml /spec/openapi.json put /tags/{tag}
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /tags/{tag}:
    put:
      tags:
        - Tags
      summary: Update a tag
      operationId: tags-update
      parameters:
        - name: tag
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                label:
                  type: string
                  maxLength: 255
                label_translations:
                  type: object
                  description: Optional translations for the `label` property.
                  allOf:
                    - $ref: '#/components/schemas/Translations'
                  nullable: true
                description:
                  type: string
                  nullable: true
                description_translations:
                  type: object
                  description: Optional translations for the `description` property.
                  allOf:
                    - $ref: '#/components/schemas/Translations'
                  nullable: true
                archived_at:
                  type: string
                  format: date
                integrations:
                  type: object
                  properties:
                    xero:
                      type: object
                      properties:
                        id:
                          type: string
                    quickbooks:
                      type: object
                      properties:
                        id:
                          type: string
            example:
              label: Product Engineering
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The unique identifier of the object in Nmbr.
                    readOnly: true
                  object:
                    type: string
                    description: The type of the object in Nmbr (`"tag"`).
                    readOnly: true
                  data:
                    $ref: '#/components/schemas/Tag'
              example:
                id: <id>
                object: tag
                data:
                  label: Product Engineering
                  label_translations: null
                  label_translated: Product Engineering
                  description: null
                  description_translations: null
                  description_translated: null
                  archived_at: null
                  is_deletable: true
                  integrations:
                    xero:
                      id: null
                    quickbooks:
                      id: null
                  tag_group:
                    id: <id>
                    object: tag_group
                    links:
                      self: /tag_groups/<id>
                  business_entity:
                    id: <id>
                    object: business_entity
                    links:
                      self: /business_entities/<id>
                  created_at: '2026-01-01T00:00:00.000000Z'
                  updated_at: '2026-01-01T00:00:00.000000Z'
                links:
                  self: /tags/<id>
components:
  schemas:
    Translations:
      type: object
      nullable: true
      properties:
        en:
          type: string
          maxLength: 255
        fr:
          type: string
          maxLength: 255
    Tag:
      type: object
      title: Tag
      properties:
        label:
          type: string
          maxLength: 255
        label_translations:
          type: object
          description: Optional translations for the `label` property.
          allOf:
            - $ref: '#/components/schemas/Translations'
          nullable: true
        label_translated:
          type: string
          description: >-
            The translation of the `label` property for the request locale.
            Computed using the values in `label` and `label_translations` and
            the value of the request's `Accept-Language` header.
          readOnly: true
        description:
          type: string
          nullable: true
        description_translations:
          type: object
          description: Optional translations for the `description` property.
          allOf:
            - $ref: '#/components/schemas/Translations'
          nullable: true
        description_translated:
          type: string
          description: >-
            The translation of the `description` property for the request
            locale. Computed using the values in `description` and
            `description_translations` and the value of the request's
            `Accept-Language` header.
          readOnly: true
        archived_at:
          type: string
          description: >-
            When set, the tag is archived and excluded from index listings by
            default.
          readOnly: true
          nullable: true
          format: dateTime
        is_deletable:
          type: boolean
          description: >-
            A tag may not be deleted while it is assigned to any active
            allocation.
        integrations:
          type: object
          description: >-
            Identifiers for this tag in external accounting integrations, used
            to sync tags imported from those systems.
          nullable: true
          properties:
            xero:
              type: object
              nullable: true
              properties:
                id:
                  type: string
                  description: The unique identifier of the object in Nmbr.
                  readOnly: true
                  maxLength: 32
            quickbooks:
              type: object
              nullable: true
              properties:
                id:
                  type: string
                  description: The unique identifier of the object in Nmbr.
                  readOnly: true
                  maxLength: 32
        tag_group:
          type: object
          properties:
            id:
              type: string
              description: The unique identifier of the object in Nmbr.
              readOnly: true
            object:
              type: string
              description: The type of the object in Nmbr (`"tag_group"`).
              readOnly: true
        business_entity:
          type: object
          properties:
            id:
              type: string
              description: The unique identifier of the object in Nmbr.
              readOnly: true
            object:
              type: string
              description: The type of the object in Nmbr (`"business_entity"`).
              readOnly: true
        created_at:
          type: string
          description: The date and time the object was created in Nmbr.
          readOnly: true
          format: dateTime
        updated_at:
          type: string
          description: The date and time the object was last updated in Nmbr.
          readOnly: true
          format: dateTime
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````